//-----------------------------------------
// LScript Modeler template
//
// Copyright 2005 Michael Green
// MikesLscripts@shortbutpurple.fsnet.co.uk
//

myversion=0.1;
@version 2.2
@warnings
@script modeler

// global values go here
gext=".lwo";                // ext                       
gtype="Object";             // Type of item saved        
gcontent=OBJECTSDIR;        // contentdir
gempty=nil;                 // what to use if not saved

gdir="/Old";

main
{
    myitem=Mesh(0);
	SaveBackup(myitem);
}

SaveBackup:pitem
{
    myfilename=pitem.filename;
    if(myfilename!=gempty)
    	MakeBackup(myfilename);
    else
    	SaveNew();
}

MakeBackup:pfilename
{
    myarray=split(pfilename);
    mkdir(myarray[1]+myarray[2]+gdir);
    for(i=1;i<=999;i++)
    {
    	myintstr=IntAsStr(i,3);
		mynew=myarray[1]+myarray[2]+gdir+"//"+myarray[3]+"_v"+myintstr+myarray[4];
    	if(!File(mynew))
    	{
    		filerename(pfilename,mynew);
    		break;
    	}
    }
    save(pfilename);
    info("Backup saved as "+mynew);
}

SaveNew
{
    mydir=getdir(gcontent);
    mydir=mydir+"/";
    myfilename=getfile("Save "+gtype+" As","*"+gext,mydir,0);
    if(myfilename)
    {
        myarray=split(myfilename);
        if(myarray[4]!=gext)
            myfilename=myarray[1]+myarray[2]+myarray[3]+gext;
    	save(myfilename);
    }
}

IntAsStr:int,padd
{
	myint=string(int);
	mylen=myint.size();
	mytemp="";
	for(i=1;i<=padd-mylen;i++)
	{
		mytemp=mytemp+"0";
	}
	mytemp=mytemp+myint;
	return(mytemp);
}