//-----------------------------------------
// LScript Modeler template
//
// Copyright 2005 Michael Green
// MikesLscripts@shortbutpurple.fsnet.co.uk
//

myversion=0.1;
@version 2.2
@warnings
@script generic

// global values go here
gext=".lws";        		// ext
gtype="Scene";              // Type of item saved
gcontent=SCENESDIR;         // contentdir
gempty="(unnamed)";          // what to use if not saved

gdir="/Old";

generic
{
    myitem=Scene();
	SaveBackup(myitem);
}

SaveBackup:pitem
{
    myfilename=pitem.filename;
    if(myfilename!=gempty)
    	MakeBackup(myfilename);
    else	
    	SaveScene();
}

MakeBackup:pfilename
{
    myarray=split(pfilename);
    mkdir(myarray[1]+myarray[2]+gdir);
    for(i=1;i<=999;i++)
    {
    	myintstr=IntAsStr(i,3);
		mynew=myarray[1]+myarray[2]+gdir+"/"+myarray[3]+"_v"+myintstr+myarray[4];
    	if(!File(mynew))
    	{
    		SaveSceneCopy(mynew);
    		break;
    	}
    }
    AutoConfirm(1);
    SaveScene();
    AutoConfirm(0);

    info("Backup saved as "+mynew);
}

IntAsStr:int,padd
{
	myint=string(int);
	mylen=myint.size();
	mytemp="";
	for(i=1;i<=padd-mylen;i++)
	{
		mytemp=mytemp+"0";
	}
	mytemp=mytemp+myint;
	return(mytemp);
}